<?php

  namespace Laodc\Dns;

  enum RecordTypes : string
  {
    case A        = 'A';
    case AAAA     = 'AAAA';
    case ALIAS    = 'ALIAS';
    case CAA      = 'CAA';
    case CH       = 'CH';
    case CNAME    = 'CNAME';
    // case LOC      = 'LOC';
    case MX       = 'MX';
    case NAPTR    = 'NAPTR';
    case NS       = 'NS';
    case PTR      = 'PTR';
    case RP       = 'RP';
    case SRV      = 'SRV';
    case TLSA     = 'TLSA';
    case TXT      = 'TXT';
    case URL      = 'URL';
    case URL301   = 'URL301';
    case GENA     = 'GENA';
    case GENAAAA  = 'GENAAAA';
  }